CK_HT_HASH(3)

NAME
ck_ht_hash - generate a hash value for a hash table

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>
void
ck_ht_hash(ck_ht_hash_t *h, ck_ht_t *ht, const void *key, uint16_t key_length);

DESCRIPTION
The ck_ht_hash() function will generate a hash value in the object pointed to by the h argument. The hash value is valid for use in the hash table pointed to by the ht argument for the key (of bytestring type) specified by the key argument. The length of the key is specified by the key_length argument.

RETURN VALUES
ck_ht_hash() has no return value.

ERRORS
Behavior is undefined if key is NULL or if ht is uninitialized.

SEE ALSO
ck_ht_stat(3), ck_ht_init(3), ck_ht_destroy(3), ck_ht_hash_direct(3), ck_ht_set_spmc(3), ck_ht_put_spmc(3), ck_ht_gc(3), ck_ht_get_spmc(3), ck_ht_grow_spmc(3), ck_ht_remove_spmc(3), ck_ht_reset_spmc(3), ck_ht_reset_size_spmc(3), ck_ht_count(3), ck_ht_entry_empty(3), ck_ht_entry_key_set(3), ck_ht_entry_key_set_direct(3), ck_ht_entry_key(3), ck_ht_entry_key_length(3), ck_ht_entry_value(3), ck_ht_entry_set(3), ck_ht_entry_set_direct(3), ck_ht_entry_key_direct(3), ck_ht_entry_value_direct(3), ck_ht_iterator_init(3), ck_ht_next(3)

Additional information available at http://concurrencykit.org/